function func

% Задаем вектор времени
T=2:0.01:33;

% Задаем начальные значения
g=9.8;
V1=1000;
x0=-0.79; y0=0.67; z0=0.13;
Vx=-75.24; Vy=63.41; Vz=11.82;

% Рассчитываем значение функции для каждого временного отсчета (из вектора
% времен)
[m,n]=size(T);
for i=1:n
    % Берем очередной временной отсчет
    t=T(i);
    % Рассчитываем значение функции
    Y(i)=(g*t^2/2)^2+g*t^2*(Vz*t+z0)+(x0+Vx*t)^2+(y0+Vy*t)^2+(z0+Vz*t)^2-(V1*t)^2;
end

% Строим график зависимости положения оюбъекта от времени
plot(T,Y);